Changeset 1885


Ignore:
Timestamp:
Nov 28, 2010 3:45:21 PM (9 years ago)
Author:
stefan
Message:

rerun autotools

Location:
ThirdParty/Lapack/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/Makefile.in

    r1745 r1885  
    139139CDEFS = @CDEFS@
    140140CFLAGS = @CFLAGS@
     141COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     142COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
    141143COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    142144COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
  • ThirdParty/Lapack/trunk/configure

    r1753 r1885  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion LAPACK_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED LAPACK_PCLIBS DLAMCH_FFLAGS EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion LAPACK_SVN_REV build build_cpu build_vendor build_os COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED LAPACK_PCLIBS DLAMCH_FFLAGS EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    19451945fi
    19461946
     1947# add automake conditional so we can recognize cl compiler in makefile
     1948coin_cc_is_cl=false
     1949if test x"$CXX" != x; then
     1950  case "$CXX" in
     1951    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     1952      coin_cc_is_cl=true
     1953      ;;
     1954  esac
     1955fi
     1956
     1957
     1958if test $coin_cc_is_cl = true; then
     1959  COIN_CC_IS_CL_TRUE=
     1960  COIN_CC_IS_CL_FALSE='#'
     1961else
     1962  COIN_CC_IS_CL_TRUE='#'
     1963  COIN_CC_IS_CL_FALSE=
     1964fi
     1965
     1966
    19471967
    19481968
     
    33733393
    33743394# Provide some information about the compiler.
    3375 echo "$as_me:3375:" \
     3395echo "$as_me:3395:" \
    33763396     "checking for Fortran 77 compiler version" >&5
    33773397ac_compiler=`set X $ac_compile; echo $2`
     
    39413961ac_save_FFLAGS=$FFLAGS
    39423962FFLAGS="$FFLAGS $ac_verb"
    3943 (eval echo $as_me:3943: \"$ac_link\") >&5
     3963(eval echo $as_me:3963: \"$ac_link\") >&5
    39443964ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39453965echo "$ac_f77_v_output" >&5
     
    40194039ac_save_FFLAGS=$FFLAGS
    40204040FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4021 (eval echo $as_me:4021: \"$ac_link\") >&5
     4041(eval echo $as_me:4041: \"$ac_link\") >&5
    40224042ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40234043echo "$ac_f77_v_output" >&5
     
    66306650*-*-irix6*)
    66316651  # Find out which ABI we are using.
    6632   echo '#line 6632 "configure"' > conftest.$ac_ext
     6652  echo '#line 6652 "configure"' > conftest.$ac_ext
    66336653  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    66346654  (eval $ac_compile) 2>&5
     
    91079127   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    91089128   -e 's:$: $lt_compiler_flag:'`
    9109    (eval echo "\"\$as_me:9109: $lt_compile\"" >&5)
     9129   (eval echo "\"\$as_me:9129: $lt_compile\"" >&5)
    91109130   (eval "$lt_compile" 2>conftest.err)
    91119131   ac_status=$?
    91129132   cat conftest.err >&5
    9113    echo "$as_me:9113: \$? = $ac_status" >&5
     9133   echo "$as_me:9133: \$? = $ac_status" >&5
    91149134   if (exit $ac_status) && test -s "$ac_outfile"; then
    91159135     # The compiler can only warn and ignore the option if not recognized
     
    93759395   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93769396   -e 's:$: $lt_compiler_flag:'`
    9377    (eval echo "\"\$as_me:9377: $lt_compile\"" >&5)
     9397   (eval echo "\"\$as_me:9397: $lt_compile\"" >&5)
    93789398   (eval "$lt_compile" 2>conftest.err)
    93799399   ac_status=$?
    93809400   cat conftest.err >&5
    9381    echo "$as_me:9381: \$? = $ac_status" >&5
     9401   echo "$as_me:9401: \$? = $ac_status" >&5
    93829402   if (exit $ac_status) && test -s "$ac_outfile"; then
    93839403     # The compiler can only warn and ignore the option if not recognized
     
    94799499   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94809500   -e 's:$: $lt_compiler_flag:'`
    9481    (eval echo "\"\$as_me:9481: $lt_compile\"" >&5)
     9501   (eval echo "\"\$as_me:9501: $lt_compile\"" >&5)
    94829502   (eval "$lt_compile" 2>out/conftest.err)
    94839503   ac_status=$?
    94849504   cat out/conftest.err >&5
    9485    echo "$as_me:9485: \$? = $ac_status" >&5
     9505   echo "$as_me:9505: \$? = $ac_status" >&5
    94869506   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    94879507   then
     
    1189611916  lt_status=$lt_dlunknown
    1189711917  cat > conftest.$ac_ext <<EOF
    11898 #line 11898 "configure"
     11918#line 11918 "configure"
    1189911919#include "confdefs.h"
    1190011920
     
    1199612016  lt_status=$lt_dlunknown
    1199712017  cat > conftest.$ac_ext <<EOF
    11998 #line 11998 "configure"
     12018#line 12018 "configure"
    1199912019#include "confdefs.h"
    1200012020
     
    1435614376   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1435714377   -e 's:$: $lt_compiler_flag:'`
    14358    (eval echo "\"\$as_me:14358: $lt_compile\"" >&5)
     14378   (eval echo "\"\$as_me:14378: $lt_compile\"" >&5)
    1435914379   (eval "$lt_compile" 2>conftest.err)
    1436014380   ac_status=$?
    1436114381   cat conftest.err >&5
    14362    echo "$as_me:14362: \$? = $ac_status" >&5
     14382   echo "$as_me:14382: \$? = $ac_status" >&5
    1436314383   if (exit $ac_status) && test -s "$ac_outfile"; then
    1436414384     # The compiler can only warn and ignore the option if not recognized
     
    1446014480   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1446114481   -e 's:$: $lt_compiler_flag:'`
    14462    (eval echo "\"\$as_me:14462: $lt_compile\"" >&5)
     14482   (eval echo "\"\$as_me:14482: $lt_compile\"" >&5)
    1446314483   (eval "$lt_compile" 2>out/conftest.err)
    1446414484   ac_status=$?
    1446514485   cat out/conftest.err >&5
    14466    echo "$as_me:14466: \$? = $ac_status" >&5
     14486   echo "$as_me:14486: \$? = $ac_status" >&5
    1446714487   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1446814488   then
     
    1603016050   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1603116051   -e 's:$: $lt_compiler_flag:'`
    16032    (eval echo "\"\$as_me:16032: $lt_compile\"" >&5)
     16052   (eval echo "\"\$as_me:16052: $lt_compile\"" >&5)
    1603316053   (eval "$lt_compile" 2>conftest.err)
    1603416054   ac_status=$?
    1603516055   cat conftest.err >&5
    16036    echo "$as_me:16036: \$? = $ac_status" >&5
     16056   echo "$as_me:16056: \$? = $ac_status" >&5
    1603716057   if (exit $ac_status) && test -s "$ac_outfile"; then
    1603816058     # The compiler can only warn and ignore the option if not recognized
     
    1613416154   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1613516155   -e 's:$: $lt_compiler_flag:'`
    16136    (eval echo "\"\$as_me:16136: $lt_compile\"" >&5)
     16156   (eval echo "\"\$as_me:16156: $lt_compile\"" >&5)
    1613716157   (eval "$lt_compile" 2>out/conftest.err)
    1613816158   ac_status=$?
    1613916159   cat out/conftest.err >&5
    16140    echo "$as_me:16140: \$? = $ac_status" >&5
     16160   echo "$as_me:16160: \$? = $ac_status" >&5
    1614116161   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1614216162   then
     
    1834118361   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1834218362   -e 's:$: $lt_compiler_flag:'`
    18343    (eval echo "\"\$as_me:18343: $lt_compile\"" >&5)
     18363   (eval echo "\"\$as_me:18363: $lt_compile\"" >&5)
    1834418364   (eval "$lt_compile" 2>conftest.err)
    1834518365   ac_status=$?
    1834618366   cat conftest.err >&5
    18347    echo "$as_me:18347: \$? = $ac_status" >&5
     18367   echo "$as_me:18367: \$? = $ac_status" >&5
    1834818368   if (exit $ac_status) && test -s "$ac_outfile"; then
    1834918369     # The compiler can only warn and ignore the option if not recognized
     
    1860918629   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1861018630   -e 's:$: $lt_compiler_flag:'`
    18611    (eval echo "\"\$as_me:18611: $lt_compile\"" >&5)
     18631   (eval echo "\"\$as_me:18631: $lt_compile\"" >&5)
    1861218632   (eval "$lt_compile" 2>conftest.err)
    1861318633   ac_status=$?
    1861418634   cat conftest.err >&5
    18615    echo "$as_me:18615: \$? = $ac_status" >&5
     18635   echo "$as_me:18635: \$? = $ac_status" >&5
    1861618636   if (exit $ac_status) && test -s "$ac_outfile"; then
    1861718637     # The compiler can only warn and ignore the option if not recognized
     
    1871318733   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1871418734   -e 's:$: $lt_compiler_flag:'`
    18715    (eval echo "\"\$as_me:18715: $lt_compile\"" >&5)
     18735   (eval echo "\"\$as_me:18735: $lt_compile\"" >&5)
    1871618736   (eval "$lt_compile" 2>out/conftest.err)
    1871718737   ac_status=$?
    1871818738   cat out/conftest.err >&5
    18719    echo "$as_me:18719: \$? = $ac_status" >&5
     18739   echo "$as_me:18739: \$? = $ac_status" >&5
    1872018740   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1872118741   then
     
    2184621866   { (exit 1); exit 1; }; }
    2184721867fi
     21868if test -z "${COIN_CC_IS_CL_TRUE}" && test -z "${COIN_CC_IS_CL_FALSE}"; then
     21869  { { echo "$as_me:$LINENO: error: conditional \"COIN_CC_IS_CL\" was never defined.
     21870Usually this means the macro was only invoked conditionally." >&5
     21871echo "$as_me: error: conditional \"COIN_CC_IS_CL\" was never defined.
     21872Usually this means the macro was only invoked conditionally." >&2;}
     21873   { (exit 1); exit 1; }; }
     21874fi
    2184821875if test -z "${COIN_HAS_PKGCONFIG_TRUE}" && test -z "${COIN_HAS_PKGCONFIG_FALSE}"; then
    2184921876  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
     
    2243222459s,@build_vendor@,$build_vendor,;t t
    2243322460s,@build_os@,$build_os,;t t
     22461s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
     22462s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2243422463s,@CDEFS@,$CDEFS,;t t
    2243522464s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
Note: See TracChangeset for help on using the changeset viewer.